;-| AI |--------------------------------------------------------

[command]
name = "AI1"
command = a, a, a, a, a
time = 1

[command]
name = "AI2"
command = b, b, b, b, b
time = 1

[command]
name = "AI3"
command = c, c, c, c, c
time = 1

[command]
name = "AI4"
command = x, x, x, x, x
time = 1

[command]
name = "AI5"
command = y, y, y, y, y
time = 1

[command]
name = "AI6"
command = z, z, z, z, z
time = 1

[command]
name = "AI7"
command = F, F, F, F, F
time = 1

[command]
name = "AI8"
command = B, B, B, B, B
time = 1

[command]
name = "AI9"
command = U, U, U, U, U
time = 1

[command]
name = "AI10"
command = D, D, D, D, D
time = 1

[command]
name = "AI11"
command = DF, DF, DF, DF, DF
time = 1

[command]
name = "AI12"
command = DB, DB, DB, DB, DB
time = 1

[command]
name = "AI13"
command = UB, UB, UB, UB, UB
time = 1

[command]
name = "AI14"
command = UF, UF, UF, UF, UF
time = 1

[command]
name = "AI15"
command = s, s, s, s, s
time = 1

[command]
name = "AI16"
command = a, a, b, b
time = 1

[command]
name = "AI17"
command = b, b, c, c
time = 1

[command]
name = "AI18"
command = c, c, a, a
time = 1

[command]
name = "AI19"
command = x, x, y, y
time = 1

[command]
name = "AI20"
command = y, y, z, z
time = 1

[command]
name = "AI21"
command = z, z, x, x
time = 1

;-| Super Motions |--------------------------------------------------------

[Command]
name = "haha"
command = ~a, a, D, b, c
time = 40

[Command]
name = "tori"
command = ~D, DF, F, D, DF, F, z
time = 30

[Command]
name = "gao_a"
command = ~D, DF, F, D, DF, F, a
time = 30

[Command]
name = "gao_b"
command = ~D, DF, F, D, DF, F, b
time = 30

[Command]
name = "gao_c"
command = ~D, DF, F, D, DF, F, c
time = 30

[Command]
name = "pinch_a"
command = ~D, DB, B, D, DB, B, a
time = 30

[Command]
name = "pinch_b"
command = ~D, DB, B, D, DB, B, b
time = 30

[Command]
name = "pinch_c"
command = ~D, DB, B, D, DB, B, c
time = 30

[Command]
name = "enishi"
command = ~B, F, DF, D, DB, B, a
time = 30

[Command]
name = "enishi"
command = ~B, F, DF, D, DB, B, b
time = 30

[Command]
name = "enishi"
command = ~B, F, DF, D, DB, B, c
time = 30

[Command]
name = "super_x"
command = ~D, DF, F, D, DF, F, x
time = 30

[Command]
name = "super_y"
command = ~D, DF, F, D, DF, F, y
time = 30

;-| Special Motions |------------------------------------------------------

[Command]
name = "sora_a"
command = ~B, DB, D, DF, F, a
time = 15

[Command]
name = "sora_b"
command = ~B, DB, D, DF, F, b
time = 15

[Command]
name = "sora_c"
command = ~B, DB, D, DF, F, c
time = 15

[Command]
name = "tsubasa_a"
command = ~F, D, DF, a
time = 15

[Command]
name = "tsubasa_b"
command = ~F, D, DF, b
time = 15

[Command]
name = "tsubasa_c"
command = ~F, D, DF, c
time = 15

[Command]
name = "enikki_a"
command = ~D, DF, F, a
time = 15

[Command]
name = "enikki_b"
command = ~D, DF, F, b
time = 15

[Command]
name = "enikki_c"
command = ~D, DF, F, c
time = 15

[Command]
name = "hukou_a"
command = ~B, D, DB, a
time = 15

[Command]
name = "hukou_b"
command = ~B, D, DB, b
time = 15

[Command]
name = "hukou_c"
command = ~B, D, DB, c
time = 15

[Command]
name = "dorori_a"
command = ~D, DB, B, a
time = 15

[Command]
name = "dorori_b"
command = ~D, DB, B, b
time = 15

[Command]
name = "dorori_c"
command = ~D, DB, B, c
time = 15

[Command]
name = "yumi_x"
command = ~B, DB, D, DF, F, x
time = 15

[Command]
name = "yumi_y"
command = ~B, DB, D, DF, F, y
time = 15

[Command]
name = "yumi_z"
command = ~B, DB, D, DF, F, z
time = 15

[Command]
name = "rasen_x"
command = ~F, D, DF, x
time = 15

[Command]
name = "rasen_y"
command = ~F, D, DF, y
time = 15

[Command]
name = "rasen_z"
command = ~F, D, DF, z
time = 15

[Command]
name = "yaiba_x"
command = ~D, DF, F, x
time = 15

[Command]
name = "yaiba_y"
command = ~D, DF, F, y
time = 15

[Command]
name = "yaiba_z"
command = ~D, DF, F, z
time = 15

[Command]
name = "hukou_x"
command = ~B, D, DB, x
time = 15

[Command]
name = "hukou_y"
command = ~B, D, DB, y
time = 15

[Command]
name = "hukou_z"
command = ~B, D, DB, z
time = 15

[Command]
name = "ishi_x"
command = ~D, DB, B, x
time = 15

[Command]
name = "ishi_y"
command = ~D, DB, B, y
time = 15

[Command]
name = "ishi_z"
command = ~D, DB, B, z
time = 15

[Command]
name = "IC_c"
command = ~D, D, c
time = 15

[Command]
name = "IC_z"
command = ~D, D, z
time = 15

;-| Double Tap |-----------------------------------------------------------

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "dd"
command = D,D
time = 10

;-| 2/3 Button Combination |-----------------------------------------------

[Command]
name = "recovery"
command = F + a
time = 1

[Command]
name = "recovery"
command = F + b
time = 1

[Command]
name = "recovery"
command = F + c
time = 1

[Command]
name = "recovery"
command = B + a
time = 1

[Command]
name = "recovery"
command = B + b
time = 1

[Command]
name = "recovery"
command = B + c
time = 1

[Command]
name = "recovery"
command = z
time = 1

;-| Dir + Button |---------------------------------------------------------

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_z"
command = /F,z
time = 1

[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

;-| Single Button |---------------------------------------------------------

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "s"
command = s
time = 1
;-----------------------------------------------------------------------------
[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

;-| Hold Dir |--------------------------------------------------------------

[Command]
name = "R_Guard"
command = B
time = 1

[Command]
name = "C_R_Guard"
command = DB
time = 1

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdupb"
command = /$UB
time = 1

[Command]
name = "holdupf"
command = /$UF
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "upback"
command = UB
time = 1

[Command]
name = "downback"
command = DB
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "down"
command = D
time = 1

[Command]
name = "fwd"
command = F
time = 1


;=============================================================

[Statedef -1]

;母の詩
[State -1]
type = ChangeState
value = 3300
triggerall = RoundState = 2
triggerall = command = "haha"
triggerall = Power >= 3000
triggerall = var(59) = 0
triggerall = life <= 333
triggerall = palno = [1,6]
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 232 || stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1 || hitdefattr = S,NA
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1  || hitdefattr = C,NA

;母の詩
[State -1]
type = ChangeState
value = 3300
triggerall = RoundState = 2
triggerall = command = "haha"
triggerall = Power >= 3000
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 232 || stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1  || hitdefattr = S,NA
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1  || hitdefattr = C,NA

;鳥ノ詠
[State -1]
type = ChangeState
value = 3700
triggerall = RoundState = 2
triggerall = command = "tori"
triggerall = Power >= 3000
triggerall = life <= 333
triggerall = var(59) = 0
triggerall = palno = [7,12]
trigger1 = statetype = S
trigger1 = movetype != H
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1

;強がおがおファイアー
[State -1]
type = ChangeState
value = 3002
triggerall = RoundState = 2
triggerall = command = "gao_c"
triggerall = Power >= 3000
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中がおがおファイアー
[State -1]
type = ChangeState
value = 3001
triggerall = RoundState = 2
triggerall = command = "gao_b"||command = "gao_c"
triggerall = Power >= 2000
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱がおがおファイアー
[State -1]
type = ChangeState
value = 3000
triggerall = RoundState = 2
triggerall = command = "gao_a"||command = "gao_b"||command = "gao_c"
triggerall = Power >= 1000
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強観鈴ちんピンチ
[State -1]
type = ChangeState
value = 3104
triggerall = RoundState = 2
triggerall = command = "pinch_c"
triggerall = Power >= 1000
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中観鈴ちんピンチ
[State -1]
type = ChangeState
value = 3102
triggerall = RoundState = 2
triggerall = command = "pinch_b"||command = "pinch_c"
triggerall = Power >= 1000
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱観鈴ちんピンチ
[State -1]
type = ChangeState
value = 3100
triggerall = RoundState = 2
triggerall = command = "pinch_a"||command = "pinch_b"||command = "pinch_c"
triggerall = Power >= 1000
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;縁
[State -1]
type = ChangeState
value = 3200
triggerall = RoundState = 2
triggerall = command = "enishi"
triggerall = Power >= 1000
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;七ツ枝ノ宝剣
[State -1]
type = ChangeState
value = 3400
triggerall = RoundState = 2
triggerall = command = "super_y"
triggerall = Power >= 3000
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;解キ放ツ白銀ノ剣
[State -1]
type = ChangeState
value = 3500
triggerall = RoundState = 2
triggerall = command = "super_y"
triggerall = Power >= 3000
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [600, 620]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;吹キ荒ブ天ノ此花
[State -1]
type = ChangeState
value = 3600
triggerall = RoundState = 2
triggerall = command = "super_x"
triggerall = Power >= 3000
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52


;吹キ荒ブ天ノ此花
[State -1]
type = ChangeState
value = 3601
triggerall = RoundState = 2
triggerall = command = "super_x"
triggerall = Power >= 3000
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [600, 620]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;弱往人
[State -1]
type = ChangeState
value = 3230
triggerall = RoundState = 2
triggerall = command = "sora_a"
triggerall = var(1) = 1
triggerall = var(36) > 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中往人
[State -1]
type = ChangeState
value = 3231
triggerall = RoundState = 2
triggerall = command = "sora_b"
triggerall = var(1) = 1
triggerall = var(36) > 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強往人
[State -1]
type = ChangeState
value = 3232
triggerall = RoundState = 2
triggerall = command = "sora_c"
triggerall = var(1) = 1
triggerall = var(36) > 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱そらアタック
[State -1]
type = ChangeState
value = 1400
triggerall = RoundState = 2
triggerall = command = "sora_a"
triggerall = var(1) = 1
triggerall = var(36) = 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中そらアタック
[State -1]
type = ChangeState
value = 1401
triggerall = RoundState = 2
triggerall = command = "sora_b"
triggerall = var(1) = 1
triggerall = var(36) = 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強そらアタック
[State -1]
type = ChangeState
value = 1402
triggerall = RoundState = 2
triggerall = command = "sora_c"
triggerall = var(1) = 1
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(36) = 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強そらアタック
[State -1]
type = ChangeState
value = 1401
triggerall = RoundState = 2
triggerall = command = "sora_c"
triggerall = var(1) = 1
triggerall = var(8) = 1 || Var(7) < 200
triggerall = var(7) >= 0
triggerall = var(36) = 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱翼
[State -1]
type = ChangeState
value = 1100
triggerall = RoundState = 2
triggerall = command = "tsubasa_a"
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;空中弱翼
[State -1]
type = ChangeState
value = 1105
triggerall = RoundState = 2
triggerall = command = "tsubasa_a"
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [600, 620]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;中翼
[State -1]
type = ChangeState
value = 1110
triggerall = RoundState = 2
triggerall = command = "tsubasa_b"
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;空中中翼
[State -1]
type = ChangeState
value = 1115
triggerall = RoundState = 2
triggerall = command = "tsubasa_b"
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [600, 620]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;強翼
[State -1]
type = ChangeState
value = 1120
triggerall = RoundState = 2
triggerall = command = "tsubasa_c"
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強翼
[State -1]
type = ChangeState
value = 1110
triggerall = RoundState = 2
triggerall = command = "tsubasa_c"
triggerall = var(8) = 1 || Var(7) < 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;空中強翼
[State -1]
type = ChangeState
value = 1125
triggerall = RoundState = 2
triggerall = command = "tsubasa_c"
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [600, 620]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;空中強翼
[State -1]
type = ChangeState
value = 1115
triggerall = RoundState = 2
triggerall = command = "tsubasa_c"
triggerall = var(8) = 1 || Var(7) < 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [600, 620]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;弱絵日記
[State -1]
type = ChangeState
value = 1000
triggerall = RoundState = 2
triggerall = command = "enikki_a"
triggerall = NumHelper(1010)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中絵日記
[State -1]
type = ChangeState
value = 1001
triggerall = RoundState = 2
triggerall = command = "enikki_b"
triggerall = NumHelper(1020)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強絵日記
[State -1]
type = ChangeState
value = 1002
triggerall = RoundState = 2
triggerall = command = "enikki_c"
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = NumHelper(1030)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強絵日記
[State -1]
type = ChangeState
value = 1001
triggerall = RoundState = 2
triggerall = command = "enikki_c"
triggerall = var(8) = 1 || Var(7) < 200
triggerall = var(7) >= 0
triggerall = NumHelper(1020)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱不幸の塊
[State -1]
type = ChangeState
value = 1304
triggerall = RoundState = 2
triggerall = command = "hukou_a"
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中不幸の塊
[State -1]
type = ChangeState
value = 1305
triggerall = RoundState = 2
triggerall = command = "hukou_b"
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強不幸の塊
[State -1]
type = ChangeState
value = 1306
triggerall = RoundState = 2
triggerall = command = "hukou_c"
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強不幸の塊
[State -1]
type = ChangeState
value = 1305
triggerall = RoundState = 2
triggerall = command = "hukou_c"
triggerall = var(8) = 1 || Var(7) < 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱どろり濃厚
[State -1]
type = ChangeState
value = 1200
triggerall = RoundState = 2
triggerall = command = "dorori_a"
triggerall = NumHelper(1210)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中どろり濃厚
[State -1]
type = ChangeState
value = 1201
triggerall = RoundState = 2
triggerall = command = "dorori_b"
triggerall = NumHelper(1220)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強どろり濃厚
[State -1]
type = ChangeState
value = 1202
triggerall = RoundState = 2
triggerall = command = "dorori_c"
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = NumHelper(1230)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強どろり濃厚
[State -1]
type = ChangeState
value = 1201
triggerall = RoundState = 2
triggerall = command = "dorori_c"
triggerall = var(8) = 1 || Var(7) < 200
triggerall = var(7) >= 0
triggerall = NumHelper(1220)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱天津鷹ノ弓
[State -1]
type = ChangeState
value = 2200
triggerall = RoundState = 2
triggerall = command = "yumi_x"
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中天津鷹ノ弓
[State -1]
type = ChangeState
value = 2200
triggerall = RoundState = 2
triggerall = command = "yumi_y"
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強天津鷹ノ弓
[State -1]
type = ChangeState
value = 2201
triggerall = RoundState = 2
triggerall = command = "yumi_z"
triggerall = palno = [7,12]
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強天津鷹ノ弓
[State -1]
type = ChangeState
value = 2200
triggerall = RoundState = 2
triggerall = command = "yumi_z"
triggerall = palno = [7,12]
triggerall = var(8) = 1 || Var(7) < 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱空翔ケル二重ノ螺旋
[State -1]
type = ChangeState
value = 2100
triggerall = RoundState = 2
triggerall = command = "rasen_x"
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中空翔ケル二重ノ螺旋
[State -1]
type = ChangeState
value = 2100
triggerall = RoundState = 2
triggerall = command = "rasen_y"
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強空翔ケル二重ノ螺旋
[State -1]
type = ChangeState
value = 2101
triggerall = RoundState = 2
triggerall = command = "rasen_z"
triggerall = palno = [7,12]
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強空翔ケル二重ノ螺旋
[State -1]
type = ChangeState
value = 2100
triggerall = RoundState = 2
triggerall = command = "rasen_z"
triggerall = palno = [7,12]
triggerall = var(8) = 1 || Var(7) < 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱草薙シ光ノ刃
[State -1]
type = ChangeState
value = 2000
triggerall = RoundState = 2
triggerall = command = "yaiba_x" || command = "yaiba_y"
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強草薙シ光ノ刃
[State -1]
type = ChangeState
value = 2001
triggerall = RoundState = 2
triggerall = command = "yaiba_z"
triggerall = palno = [7,12]
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱不幸ノ塊
[State -1]
type = ChangeState
value = 1300
triggerall = RoundState = 2
triggerall = command = "hukou_x"
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中不幸ノ塊
[State -1]
type = ChangeState
value = 1301
triggerall = RoundState = 2
triggerall = command = "hukou_y"
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強不幸ノ塊
[State -1]
type = ChangeState
value = 1302
triggerall = RoundState = 2
triggerall = command = "hukou_z"
triggerall = palno = [7,12]
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強不幸ノ塊
[State -1]
type = ChangeState
value = 1301
triggerall = RoundState = 2
triggerall = command = "hukou_z"
triggerall = palno = [7,12]
triggerall = var(8) = 1 || Var(7) < 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;弱天ヲ仰グ月ノ石
[State -1]
type = ChangeState
value = 2300
triggerall = RoundState = 2
triggerall = command = "ishi_x"
triggerall = palno = [7,12]
triggerall = NumHelper(2310)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中天ヲ仰グ月ノ石
[State -1]
type = ChangeState
value = 2301
triggerall = RoundState = 2
triggerall = command = "ishi_y"
triggerall = palno = [7,12]
triggerall = NumHelper(2310)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強天ヲ仰グ月ノ石
[State -1]
type = ChangeState
value = 2302
triggerall = RoundState = 2
triggerall = command = "ishi_z"
triggerall = palno = [7,12]
triggerall = NumHelper(2310)!
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200, 220]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400, 420]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;インスタントチャージ
[State -1]
type = ChangeState
value = 900
triggerall = RoundState = 2
triggerall = command = "IC_c" 
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = stateno = [200,239]
trigger1 = movecontact || var(28) && movereversed > 1
trigger2 = stateno = [400,420]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [600,620]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = [1100,1125]
trigger4 = movecontact || var(28) && movereversed > 1
trigger5 = stateno = [2100,2107]
trigger5 = movecontact || var(28) && movereversed > 1
trigger6 = stateno = 3400
trigger6 = movecontact || var(28) && movereversed > 1
trigger7 = stateno = 3231 && time >= 10
trigger8 = stateno = [1400,1402]
trigger8 = animelemtime(7) >= 0 && animelemtime(9)<0 
trigger9 = stateno = [2000,2001]
trigger9 = movecontact || var(28) && movereversed > 1

;ダッシュ
[State -1]
type = ChangeState
value = 100
triggerall = command = "FF"
triggerall = statetype = S
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl

;後退ダッシュ
[State -1]
type = ChangeState
value = 105
triggerall = command = "BB"
triggerall = statetype = S
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl

;空中ダッシュ
[State -1]
type = ChangeState
value = 110
triggerall = command = "FF"
triggerall = command != "holddown"
triggerall = statetype = A
triggerall = Var(2) = 0
triggerall = Pos Y <= -30
triggerall = var(59) = 0
trigger1 = ctrl
trigger2 = stateno = 111
trigger3 = stateno = 116
trigger4 = stateno = 600 
trigger4 = movecontact || var(28) && movereversed > 1 || var(21) > 0
trigger5 = stateno = 610 
trigger5 = movecontact || var(28) && movereversed > 1 || var(21) > 0
trigger6 = stateno = 620 
trigger6 = movecontact || var(28) && movereversed > 1 || var(21) > 0

;空中バックダッシュ
[State -1]
type = ChangeState
value = 115
triggerall = command = "BB"
triggerall = command != "holddown"
triggerall = statetype = A
triggerall = Var(2) = 0
triggerall = Pos Y <= -30
triggerall = var(59) = 0
trigger1 = ctrl
trigger2 = stateno = 111
trigger3 = stateno = 116
trigger4 = stateno = 600 
trigger4 = movecontact || var(28) && movereversed > 1 || var(21) > 0
trigger5 = stateno = 610 
trigger5 = movecontact || var(28) && movereversed > 1 || var(21) > 0
trigger6 = stateno = 620 
trigger6 = movecontact || var(28) && movereversed > 1 || var(21) > 0

;投げ
[State -1]
type = ChangeState
value = 800
triggerall = command = "fwd_c"
triggerall = p2statetype  != A
triggerall = p2statetype != L
triggerall = P2bodyDist X <= 10
triggerall = P2Dist Y = [-40,10]
triggerall = var(25) = 0
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl

;空中投げ
[State -1]
type = ChangeState
value = 850
triggerall = command = "fwd_c"
triggerall = p2statetype  = A
triggerall = P2bodyDist X <= 10
triggerall = p2dist x >0
triggerall = P2Dist Y = [-40,10]
triggerall = pos Y < -30
triggerall = var(25) = 0
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl

;クラッシュ
[State -1]
type = ChangeState
value = 230
triggerall = RoundState = 2
triggerall = command = "fwd_c"
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200,215]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1

;弱攻撃
[State -1]
type = ChangeState
value = 200
triggerall = RoundState = 2
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = stateno != 101
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 200
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 400
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中攻撃
[State -1]
type = ChangeState
value = 210
triggerall = RoundState = 2
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = stateno != 101
triggerall = p2bodydist X < 50
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 200
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 400
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中攻撃
[State -1]
type = ChangeState
value = 215
triggerall = RoundState = 2
triggerall = command = "b"
triggerall = command != "holddown" || stateno = 210 || stateno = 410
triggerall = stateno != 101
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200,210]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強攻撃
[State -1]
type = ChangeState
value = 220
triggerall = RoundState = 2
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = stateno != 101
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200,215]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;しゃがみ弱攻撃
[State -1]
type = ChangeState
value = 400
triggerall = RoundState = 2
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = stateno != 101
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl || (stateno = 120 && prevstateno = [160,162]) || stateno = 52
trigger2 = stateno = 200
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 400
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;しゃがみ中攻撃
[State -1]
type = ChangeState
value = 410
triggerall = RoundState = 2
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = stateno != 101
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl || (stateno = 120 && prevstateno = [160,162]) || stateno = 52
trigger2 = stateno = [200,210]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;しゃがみ強攻撃
[State -1]
type = ChangeState
value = 420
triggerall = RoundState = 2
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = stateno != 101
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl || (stateno = 120 && prevstateno = [160,162]) || stateno = 52
trigger2 = stateno = [200,215]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;空中弱攻撃
[State -1]
type = ChangeState
value = 600
triggerall = RoundState = 2
triggerall = command = "a"
triggerall = statetype = A
triggerall = var(59) = 0
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 111
trigger3 = stateno = 116
trigger4 = stateno = 600
trigger4 = movecontact || var(28) && movereversed > 1

;空中中攻撃
[State -1]
type = ChangeState
value = 610
triggerall = RoundState = 2
triggerall = command = "b"
triggerall = statetype = A
triggerall = var(59) = 0
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 600
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;空中強攻撃
[State -1]
type = ChangeState
value = 620
triggerall = RoundState = 2
triggerall = command = "c"
triggerall = statetype = A
triggerall = var(59) = 0
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [600,610]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;インスタントチャージ
[State -1]
type = ChangeState
value = 900
triggerall = RoundState = 2
triggerall = command = "IC_z"
triggerall = palno = [7,12]
triggerall = var(8) = 1 || Var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(59) = 0
trigger1 = stateno = [220,239]
trigger1 = movecontact || var(28) && movereversed > 1
trigger2 = stateno = 420
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 620
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = [1100,1125]
trigger4 = movecontact || var(28) && movereversed > 1
trigger5 = stateno = [2100,2107]
trigger5 = movecontact || var(28) && movereversed > 1
trigger6 = stateno = 3400
trigger6 = movecontact || var(28) && movereversed > 1
trigger7 = stateno = 3231 && time >= 10

;投げ
[State -1]
type = ChangeState
value = 800
triggerall = RoundState = 2
triggerall = command = "fwd_z"
triggerall = palno = [7,12]
triggerall = p2statetype != A
triggerall = p2movetype != H
triggerall = P2bodyDist X = [0,10]
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl

;空中投げ
[State -1]
type = ChangeState
value = 850
triggerall = RoundState = 2
triggerall = command = "fwd_z"
triggerall = palno = [7,12]
triggerall = p2statetype = A
triggerall = p2movetype != H
triggerall = P2bodyDist X = [0,10]
triggerall = P2Dist Y = [-40,10]
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl

;クラッシュ
[State -1]
type = ChangeState
value = 230
triggerall = RoundState = 2
triggerall = command = "fwd_z"
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = [200,215]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1

;弱攻撃
[State -1]
type = ChangeState
value = 200
triggerall = RoundState = 2
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = stateno != 101
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 200
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 400
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中攻撃
[State -1]
type = ChangeState
value = 210
triggerall = RoundState = 2
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = stateno != 101
triggerall = palno = [7,12]
triggerall = p2bodydist X < 50
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 200
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 400
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;中攻撃
[State -1]
type = ChangeState
value = 215
triggerall = RoundState = 2
triggerall = command = "y"
triggerall = command != "holddown" || stateno = 210 || stateno = 410
triggerall = stateno != 101
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200,210]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;強攻撃
[State -1]
type = ChangeState
value = 220
triggerall = RoundState = 2
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = stateno != 101
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = S
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200,215]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;しゃがみ弱攻撃
[State -1]
type = ChangeState
value = 400
triggerall = RoundState = 2
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = stateno != 101
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = C
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 200
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 400
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;しゃがみ中攻撃
[State -1]
type = ChangeState
value = 410
triggerall = RoundState = 2
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = stateno != 101
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = C
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200,210]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;しゃがみ強攻撃
[State -1]
type = ChangeState
value = 420
triggerall = RoundState = 2
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = stateno != 101
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = statetype = C
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [200,215]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [400,410]
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 52

;空中弱攻撃
[State -1]
type = ChangeState
value = 600
triggerall = RoundState = 2
triggerall = command = "x"
triggerall = statetype = A
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 111
trigger3 = stateno = 116
trigger4 = stateno = 600
trigger4 = movecontact || var(28) && movereversed > 1

;空中中攻撃
[State -1]
type = ChangeState
value = 610
triggerall = RoundState = 2
triggerall = command = "y"
triggerall = statetype = A
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = 600
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;空中強攻撃
[State -1]
type = ChangeState
value = 620
triggerall = RoundState = 2
triggerall = command = "z"
triggerall = statetype = A
triggerall = palno = [7,12]
triggerall = var(59) = 0
trigger1 = ctrl || stateno = 120 && prevstateno = [160,162]
trigger2 = stateno = [600,610]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 111
trigger4 = stateno = 116

;ジャンプ
[State -1]
type = ChangeState
value = 40
triggerall = statetype != A
triggerall = command = "holdup"
triggerall = var(59) = 0
trigger1 = stateno = 200
trigger1 = movecontact || var(28) && movereversed > 1
trigger2 = stateno = 210
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 215
trigger3 = movehit
trigger4 = stateno = 400
trigger4 = movecontact || var(28) && movereversed > 1
trigger5 = stateno = 410
trigger5 = movehit

;空中ジャンプ
[State -1]
type = ChangeState
value = 45
triggerall = statetype = A
triggerall = command = "holdup"
triggerall = var(46) = 0
triggerall = var(47) = 0
triggerall = Var(2) = 0
triggerall = var(59) = 0
trigger1 = stateno = 50
trigger2 = stateno = 51
trigger3 = stateno = 102
trigger4 = stateno = 107
trigger5 = stateno = 111
trigger6 = stateno = 116
trigger7 = stateno = 600
trigger7 = movecontact || var(28) && movereversed > 1
trigger8 = stateno = 610
trigger8 = movecontact || var(28) && movereversed > 1
trigger9 = stateno = 620
trigger9 = movecontact || var(28) && movereversed > 1